    All Packages  Class Hierarchy  This Package  Previous  Next  Index

# Class java.util.zip.Inflater

    java.lang.Object
       |
       +----java.util.zip.Inflater

public class Inflater
extends Object

This class provides support for general purpose decompression using the popular ZLIB compression library. The ZLIB compression library was initially developed as part of the PNG graphics standard and is not protected by patents. It is fully described in RFCs 1950, 1951, and 1952, which can be found at http://info.internet.isi.edu:80/in-notes/rfc/files/ in the files rfc1950.txt (zlib format), rfc1951.txt (deflate format) and rfc1952.txt (gzip format).

See Also:
  Deflater

##

Inflater()
  Creates a new decompressor.
Inflater(boolean)
  Creates a new decompressor.

##

end()
  Discards unprocessed input and frees internal data.
finalize()
  Frees the decompressor when garbage is collected.
finished()
  Return true if the end of the compressed data stream has been reached.
getAdler()
  Returns the ADLER-32 value of the uncompressed data.
getRemaining()
  Returns the total number of bytes remaining in the input buffer.
getTotalIn()
  Returns the total number of bytes input so far.
getTotalOut()
  Returns the total number of bytes output so far.
inflate(byte[])
  Uncompresses bytes into specified buffer.
inflate(byte[], int, int)
  Uncompresses bytes into specified buffer.
needsDictionary()
  Returns true if a preset dictionary is needed for decompression.
needsInput()
  Returns true if no data remains in the input buffer.
reset()
  Resets inflater so that a new set of input data can be processed.
setDictionary(byte[])
  Sets the preset dictionary to the given array of bytes.
setDictionary(byte[], int, int)
  Sets the preset dictionary to the given array of bytes.
setInput(byte[])
  Sets input data for decompression.
setInput(byte[], int, int)
  Sets input data for decompression.

##

Inflater

     public Inflater(boolean nowrap)

  Creates a new decompressor. If the parameter 'nowrap' is true then the ZLIB header and checksum fields will not be used in order to support the compression format used by both GZIP and PKZIP.

  Parameters:
    nowrap - if true then support GZIP compatible compression

Inflater

     public Inflater()

  Creates a new decompressor.

##

setInput

     public synchronized void setInput(byte b[],
                                       int off,
                                       int len)

  Sets input data for decompression. Should be called whenever needsInput() returns true indicating that more input data is required.

  Parameters:
    b - the input data bytes
    off - the start offset of the input data
    len - the length of the input data
  See Also:
    needsInput

setInput

     public void setInput(byte b[])

  Sets input data for decompression. Should be called whenever needsInput() returns true indicating that more input data is required.

  Parameters:
    b - the input data bytes
  See Also:
    needsInput

setDictionary

     public native synchronized void setDictionary(byte b[],
                                                   int off,
                                                   int len)

  Sets the preset dictionary to the given array of bytes. Should be called when inflate() returns 0 and needsDictionary() returns true indicating that a preset dictionary is required. The method getAdler() can be used to get the Adler-32 value of the dictionary needed.

  Parameters:
    b - the dictionary data bytes
    off - the start offset of the data
    len - the length of the data
  See Also:
    needsDictionary, getAdler

setDictionary

     public void setDictionary(byte b[])

  Sets the preset dictionary to the given array of bytes. Should be called when inflate() returns 0 and needsDictionary() returns true indicating that a preset dictionary is required. The method getAdler() can be used to get the Adler-32 value of the dictionary needed.

  Parameters:
    b - the dictionary data bytes
  See Also:
    needsDictionary, getAdler

getRemaining

     public synchronized int getRemaining()

  Returns the total number of bytes remaining in the input buffer. This can be used to find out what bytes still remain in the input buffer after decompression has finished.

needsInput

     public synchronized boolean needsInput()

  Returns true if no data remains in the input buffer. This can be used to determine if #setInput should be called in order to provide more input.

needsDictionary

     public synchronized boolean needsDictionary()

  Returns true if a preset dictionary is needed for decompression.

  See Also:
    InflatesetDictionary

finished

     public synchronized boolean finished()

  Return true if the end of the compressed data stream has been reached.

inflate

     public native synchronized int inflate(byte b[],
                                            int off,
                                            int len) throws DataFormatException

  Uncompresses bytes into specified buffer. Returns actual number of bytes uncompressed. A return value of 0 indicates that needsInput() or needsDictionary() should be called in order to determine if more input data or a preset dictionary is required. In the later case, getAdler() can be used to get the Adler-32 value of the dictionary required.

  Parameters:
    b - the buffer for the uncompressed data
    off - the start offset of the data
    len - the maximum number of uncompressed bytes
  Returns:
    the actual number of uncompressed bytes
  Throws: DataFormatException
    if the compressed data format is invalid
  See Also:
    needsInput, needsDictionary

inflate

     public int inflate(byte b[]) throws DataFormatException

  Uncompresses bytes into specified buffer. Returns actual number of bytes uncompressed. A return value of 0 indicates that needsInput() or needsDictionary() should be called in order to determine if more input data or a preset dictionary is required. In the later case, getAdler() can be used to get the Adler-32 value of the dictionary required.

  Parameters:
    b - the buffer for the uncompressed data
  Returns:
    the actual number of uncompressed bytes
  Throws: DataFormatException
    if the compressed data format is invalid
  See Also:
    needsInput, needsDictionary

getAdler

     public native synchronized int getAdler()

  Returns the ADLER-32 value of the uncompressed data.

getTotalIn

     public native synchronized int getTotalIn()

  Returns the total number of bytes input so far.

getTotalOut

     public native synchronized int getTotalOut()

  Returns the total number of bytes output so far.

reset

     public native synchronized void reset()

  Resets inflater so that a new set of input data can be processed.

end

     public native synchronized void end()

  Discards unprocessed input and frees internal data.

finalize

     protected void finalize()

  Frees the decompressor when garbage is collected.

  Overrides:
    finalize in class Object

    All Packages  Class Hierarchy  This Package  Previous  Next  Index

Submit a bug or feature - Version 1.1.8 of Java Platform API Specification
Java is a trademark or registered trademark of Sun Microsystems, Inc. in the US and other countries.
Copyright 1995-1999 Sun Microsystems, Inc. 901 San Antonio Road,
Palo Alto, California, 94303, U.S.A. All Rights Reserved.